/*
 * Copyright (C) 2007 The Android Open Source Project
 * Copyright (C) 2011, 2016 Mariano Alvarez Fernandez
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.fgrim.msnake;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.KeyEvent;
import android.view.View;
import android.widget.LinearLayout;

public class MenuAct extends Activity {
	
	private LinearLayout lyg1;
	//private Resources resG;

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        //resG = getResources();
        setContentView(R.layout.menu_layout);
        lyg1 = (LinearLayout) findViewById(R.id.menu_grupo1);
		lyg1.setVisibility(View.VISIBLE);

    }
    
    private void returnValues(String a, int b) {
    	Intent in = new Intent();
		in.putExtra("a", a);
		in.putExtra("b", b);
		setResult(RESULT_OK, in);
		finish();
    }

    public void pbBtout(View view) {
		setResult(RESULT_CANCELED);
		finish();
    }
    
    public void pbBt1(View view) {
    	returnValues("1", 0);
    }
    
    public void pbBt2(View view) {
    	returnValues("2", 0);
    }
    
    public void pbBt3(View view) {
    	returnValues("3", 0);
    }
    
    @Override
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        switch(keyCode){
        case KeyEvent.KEYCODE_MENU:
            return true;
        }
        return super.onKeyDown(keyCode, event);
    }

    @Override
    public boolean onKeyUp(int keyCode, KeyEvent event) {
        switch(keyCode){
        case KeyEvent.KEYCODE_MENU:
        	finish();
            return true;
        }
        return super.onKeyUp(keyCode, event);
    }
    
}
